关于proftpd与apache整合的问题/zz/

come from chinaunix.cn

软件环境:FreeBSD4.6+apache4.2.0+PHP-4.30+Proftpd-1.2.7+mysql-3.23.41+Qmail+OpenSSH

一、获起必须的安装包(mod_sql,proftpd)。
Proftpd的安装包可以通过http://www.proftpd.net 获得,注意要支持MySQL认证最低的版本为1.2.5。
Mod_sql安装包可以通过http://www.lastditcheffort.org/aah/proftpd/mod_sql.html 获得。
二、包的安装。
解开安装包:把proftpd-1.2.7.tar.gz 拷贝到/usr/local/src的目录下,用命令:
#tar –zxvf proftpd-1.2.7.tar.gz
解开,这时产生了一个proftpd-1.2.7 的目录。然后进入该目录中的contrib目录:
#cd proftpd-1.2.7/contrib/
把中间包mod_sql拷贝到该目录中,再解开:
#tar –zxvf mod_sql-4.0.8.tar.gz
在这里还要修改一个文件,否则编译通不过,
# ee   ./contrib/mod_sql_mysql.c
将里面的#include <mysql/mysql.h>;改成#include </usr/local/mysql/include/mysql/mysql.h>;
这里假设你的Mysql安装在/usr/local/mysql

配置使Proftpd支持MySQL认证:
#./configure –with-modules=mod_sql:mod_sql_mysql \
–with-includes=/usr/local/mysql/include/mysql \
–with-libraries=/usr/local/mysql/lib/mysql
注意:–with-includes选项是指MySQL的头文件所在的目录;–with-libraries选项是指MySQL的库文件所在的目录。对于不同的环境可能会是不同